Get automation memory state
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidQuery Parameters
max_entries*integer
Format
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:38765/v1/instances/:instance_id/automation/bots/:bot_id/memory?max_entries=0"{ "state": { "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366", "bot_id": "41900e0f-e27a-4863-8321-478ccf15bbd8", "account_name": "string", "tick": 0, "remembered_block_count": 0, "remembered_container_count": 0, "remembered_entity_count": 0, "remembered_dropped_item_count": 0, "unreachable_position_count": 0, "blocks": [ { "x": 0, "y": 0, "z": 0, "block_id": "string", "last_seen_tick": 0 } ], "containers": [ { "x": 0, "y": 0, "z": 0, "block_id": "string", "inspected": true, "distinct_item_kinds": 0, "total_item_count": 0, "last_seen_tick": 0 } ], "entities": [ { "entity_id": "string", "entity_type": "string", "position": { "x": 0.1, "y": 0.1, "z": 0.1 }, "last_seen_tick": 0 } ], "dropped_items": [ { "entity_id": "string", "item_id": "string", "count": 0, "position": { "x": 0.1, "y": 0.1, "z": 0.1 }, "last_seen_tick": 0 } ], "unreachable_positions": [ { "x": 0, "y": 0, "z": 0, "until_tick": 0 } ] }}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}{ "code": 0, "grpc-code": "string", "message": "string", "stack-trace": "string", "details": [ {} ]}How is this page?